﻿using Syncfusion.Drawing;
using Syncfusion.Pdf;
using Syncfusion.Pdf.Graphics;
using Syncfusion.Pdf.Grid;
using System;
using System.IO;
using Xamarin.Forms;

namespace GettingStarted
{
    public partial class MainPage : ContentPage
    {
        public MainPage()
        {
            InitializeComponent();
        }

        void OnButtonClicked(object sender, EventArgs args)
        {
            // Create a new PDF document
            PdfDocument document = new PdfDocument();

            //Add a page to the document
            PdfPage page = document.Pages.Add();

            PdfGrid grid = new PdfGrid();
            grid.Columns.Add(2);

            for (int i = 0; i < 10; i++)
            {
                PdfGridRow pdfGridRow = grid.Rows.Add();
                pdfGridRow.Cells[0].Value = "AAA";
                pdfGridRow.Cells[1].Value = "BBB";
            }

            PdfGridCellStyle testObjectStyle = new PdfGridCellStyle
            {
                Font = new PdfStandardFont(PdfFontFamily.Helvetica, 15)
            };

            grid.Rows[0].ApplyStyle(testObjectStyle);

            grid.Draw(page, new PointF(0, 0));

            //Save the document to the stream
            MemoryStream stream = new MemoryStream();
            document.Save(stream);

            //Close the document
            document.Close(true);

            stream.Position = 0;

            //Save the stream as a file in the device and invoke it for viewing
            Xamarin.Forms.DependencyService.Get<ISave>().SaveAndView("Output.pdf", "application/pdf", stream);
        }

    }
}
